package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import com.fs.store.dto.StoreProductGroupDTO;

import java.util.List;

/**
 * 商品组合对象 fs_store_product_group
 * 
 * @author fs
 * @date 2022-11-23
 */
public class FsStoreProductGroup extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long groupId;

    /** 商品ID */
    private String products;

    /** code */
    @Excel(name = "code")
    private String barCode;

    /** 名称 */
    @Excel(name = "名称")
    private String groupName;

    List<StoreProductGroupDTO> productList;

    public List<StoreProductGroupDTO> getProductList() {
        return productList;
    }

    public void setProductList(List<StoreProductGroupDTO> productList) {
        this.productList = productList;
    }

    public void setGroupId(Long groupId)
    {
        this.groupId = groupId;
    }

    public Long getGroupId() 
    {
        return groupId;
    }

    public String getProducts() {
        return products;
    }

    public void setProducts(String products) {
        this.products = products;
    }

    public void setBarCode(String barCode)
    {
        this.barCode = barCode;
    }

    public String getBarCode() 
    {
        return barCode;
    }
    public void setGroupName(String groupName) 
    {
        this.groupName = groupName;
    }

    public String getGroupName() 
    {
        return groupName;
    }


}
